<script>
export default {
  name: 'RecognitionSpotlight',
  props: {
    data: {
      type: Object,
      required: true,
      default() {
        return {};
      },
    },
  },
  data() {
    return {
      openTab: 0,
    };
  },
  mounted() {
    this.selectTab(0);
  },
  methods: {
    selectTab(index) {
      this.openTab = index;
    },
  },
};
</script>

<template>
  <section class="recognition-spotlight">
    <SlpContainer>
      <SlpRow class="recognition-spotlight__row">
        <SlpColumn :cols="7" size="md">
          <SlpTypography tag="h2" variant="heading2-bold">
            <span v-html="data.heading"></span
          ></SlpTypography>
        </SlpColumn>
        <SlpColumn :cols="5" size="md">
          <div class="recognition-spotlight__stats">
            <div
              v-for="stat in data.stats"
              :key="stat.value"
              class="recognition-spotlight__stat"
            >
              <SlpTypography tag="p" variant="heading1-bold">
                <span v-html="stat.value"></span
              ></SlpTypography>
              <SlpTypography tag="p" variant="body1">
                <span v-html="stat.blurb"></span
              ></SlpTypography>
            </div>
          </div>
        </SlpColumn>
      </SlpRow>

      <div class="recognition-spotlight__wrapper">
        <div
          v-for="card in data.cards"
          :key="card.text"
          class="recognition-spotlight__card"
        >
          <SlpTypography
            v-if="card.header"
            tag="p"
            variant="heading4-bold"
            class="slp-mb-md-32"
            >{{ card.header }}</SlpTypography
          >
          <img
            v-if="card.logo"
            :src="card.logo"
            :alt="card.alt ?? ''"
            height="24px"
            class="slp-mb-24"
            loading="lazy"
          />

          <SlpTypography
            v-if="card.text"
            tag="p"
            variant="body1"
            class="slp-mb-md-32"
            >{{ card.text }}</SlpTypography
          >
          <div v-if="card.badges" class="recognition-spotlight__badges">
            <img
              v-for="image in card.badges"
              :key="image.src"
              :src="image.src"
              :alt="image.alt"
              loading="lazy"
            />
          </div>
          <SlpButton
            variant="tertiary"
            class="recognition-spotlight__button slp-mt-16"
            :href="card.link.href"
            :data-ga-name="card.link.data_ga_name"
            :data-ga-location="card.link.data_ga_location"
          >
            {{ card.link.text }}
            <SlpIcon
              name="chevron-right"
              variant="product"
              size="medium"
              class="recognition-spotlight__content-icon"
            />
          </SlpButton>
        </div>
      </div>
    </SlpContainer>
  </section>
</template>

<style lang="scss" scoped>
.recognition-spotlight {
  position: relative;
  background-image: url('/nuxt-images/home/bottom-gradient.png');
  background-repeat: no-repeat;
  background-size: 200% 100%;
  padding: $spacing-0 0 $spacing-96 0;
  z-index: 0;
  &:before {
    transform: scale(-1);
    content: '';
    position: absolute;
    width: 100%;
    height: 100%;
    left: 0;
    top: -1px;
    z-index: -1;
    background: linear-gradient(
      360deg,
      #fff 0%,
      rgba(255, 255, 255, 0.75) 24.94%,
      rgba(255, 255, 255, 0) 100%
    );
  }
  @media (min-width: $breakpoint-sm) {
    background-size: 100% 100%;
    padding: $spacing-64 0 $spacing-96 0;
  }
  @media (min-width: $breakpoint-md) {
    padding: $spacing-160 0;
  }
  &__stats {
    display: flex;
    justify-content: space-between;
    margin: $spacing-32 auto;
    gap: 32px;
    @media (min-width: $breakpoint-md) {
      margin: 0 0 $spacing-96 0;
    }
  }
  &__card {
    border-radius: 0px;
    background: $color-surface-50;
    padding: $spacing-32;
    display: flex;
    flex-direction: column;
    align-items: flex-start;
    margin-bottom: 16px;

    @media (min-width: $breakpoint-md) {
      margin-bottom: 0;
      border-radius: 0px 0px 0px 8px;
    }
    &:first-of-type {
      border-radius: 8px 8px 0px 0px;
      @media (min-width: $breakpoint-md) {
        border-radius: 8px 0px 0px 0px;
      }
    }
    &:last-of-type {
      padding: $spacing-32 $spacing-16;
      grid: {
        column: 2 / span 1;
        row: 1 / span 2;
      }
      border-radius: 0px 0px 90px 8px;
      @media (min-width: $breakpoint-md) {
        border-radius: 0px 8px 90px 0px;
        padding: $spacing-32 $spacing-48;
      }
    }
    .recognition-spotlight__badges {
      order: 3;
      @media (min-width: $breakpoint-md) {
        order: unset;
      }
    }
    .recognition-spotlight__button {
      order: 2;
      display: block;
      text-align: left;
      // margin-top: 0;
      @media (min-width: $breakpoint-md) {
        order: unset;
      }
    }
  }
  &__wrapper {
    margin-bottom: $spacing-64;
    @media (min-width: $breakpoint-md) {
      display: grid;
      grid: {
        template-columns: 40% auto;
        gap: $spacing-16 $spacing-16;
      }
    }
  }
  &__badges {
    position: relative;
    justify-content: flex-start;
    display: flex;
    flex-wrap: wrap;

    justify-content: space-between;
    @media (min-width: $breakpoint-md) {
      gap: 42px;
    }
    img {
      width: 76px;
      @media (min-width: $breakpoint-md) {
        width: 96px;
      }
    }
  }
  &__button {
    margin-top: 16px;
    @media (min-width: $breakpoint-md) {
      margin-top: auto;
    }
  }
  &__content-icon {
    height: 20px;
    width: 20px;
    display: inline-block;
    position: relative;
    margin-left: 0 !important;
    :deep div {
      position: absolute;
      top: 4px;
    }
  }
}
</style>
